{% load static %}

<div class="cv">
    <div class="cv-content">
        <div class="cv-sector identity">
            <div class="profile-image">
                <img src="{% static profile_image %}" alt="" />
            </div>
            <div class="fullname">
                <span class="firstname">{{ identity.firstname | upper }}</span> <span class="lastname">{{ identity.lastname | upper }}</span>
            </div>
            <div class="professional-info">
                <span class="profesonal-title">{{ title | capfirst }}</span> | 
                <span class="postal-info"><i class="fa-solid fa-location-dot"></i> {{ address.city | capfirst }} {{ address.postal_code }}</span> | 
                <span class="phone">{{ contact.phone }}</span>
            </div>
        </div>
    
        <div class="row">
            <div class="sidebar">
                <div class="cv-sector details">
                    <div class="sector-title">Details</div>
                    <div class="birthdate"><i class="fa-solid fa-cake-candles"></i> {{ identity.birthdate | date:"j F Y" }} </div>
                    <div class="contact">
                        <div class="phone"><i class="fa-solid fa-phone"></i> {{ contact.phone }}</div>
                        <div class="email"><i class="fa-solid fa-envelope"></i> {{ contact.email | lower }}</div>
                    </div>
                    <hr class="hr-50"/>
                    <div class="address">
                        <i class="fa-solid fa-location-dot"></i> 
                        <span class="address-1">{{ address.address_1 }}</span>, 
                        <span class="address-2">{{ address.address_2 }}</span> - 
                        <span class="postal-code">{{ address.postal_code }}</span> 
                        <span class="city">{{ address.city | capfirst }}</span>, 
                        <span class="country">{{ address.country | upper }}</span>
                    </div>        
                </div>
    
                <hr/>
    
                <div class="cv-sector skills">
                    <div class="sector-title">Compétences</div>
                    <ul>
                        {% for skill in skills.techno %}
                            <li class="techno">
                                <div class="skill-name">
                                    {% if skill.icon %}<i class="{{ skill.icon }}"></i></span> {% endif%}{{ skill.name }}
                                </div>
                                <div class="skill-level">
                                    {% include "utils/progress-bar.svg" with progress=skill.mastery %}
                                </div>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
    
                <hr/>
    
                <div class="cv-sector hobbies">
                    <div class="sector-title">Hobbies</div>
                    <div class="hobbies-list">
                        {{ others.hobbies|join:", " }}
                    </div>
                </div>
    
                <hr/>
    
                <div class="cv-sector languages">
                    <div class="sector-title">Langues</div>                
                    <ul>
                        {% for lang in skills.languages %}
                            <li class="techno">
                                <div class="skill-name">
                                    {% if skill.icon %}<span class="icon-lang keep-name">{{ lang.name }}</span> {% endif%}{{ lang.name }}
                                </div>
                                <div class="skill-level">
                                    {% include "utils/progress-bar.svg" with progress=lang.level %}
                                </div>
                            </li>
                        {% endfor %}
                    </ul>
                </div>

                <hr/>

                <div class="cv-sector other-links">
                    <div class="sector-title">Liens Utiles</div>
                    {% for link in others.links %}
                        <div class="other-link">
                            <div class="link-info"><i class="{{ link.icon }}"></i> {{ link.name|capfirst }}</div>
                            <div class="link-url"><a href="{{ link.url }}">{{ link.id }}</a></div>
                        </div>
                    {% endfor %}
                </div>
            </div>
            <div class="main">
                <div class="cv-sector profile">
                    <div class="sector-title"><i class="fa-solid fa-user"></i> Profil</div> 
                    <div class="sector-content description">
                        {{ description }}
                    </div>
                </div>
    
                <hr class="hr-75" />
                
                <div class="cv-sector professional-xp">
                    <div class="sector-title"><i class="fa-solid fa-suitcase"></i> Expériences professionnelles</div>
                    {% for exp in professional_xp %}
                        <div class="experience">
                            <div class="experience-title">
                                <div class="dates">{{ exp.dates.start | date:"M-Y" }} - {% if exp.dates.end %}{{ exp.dates.end | date:"M-Y" }} {% else %}actuel{% endif %}</div>
                                <div class="company">{{ exp.type }} - {{ exp.company }}, {{ exp.city }} ({{ exp.postal_code }})</div>
                            </div>

                            <div class="tasks">
                                Tâches:
                                <ul>
                                    {% for task in exp.tasks %}
                                        <li class="task">{{ task }}</li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    {% endfor %}
                    
                    <div class="sector-title"><i class="fa-solid fa-handshake-angle"></i> Associations</div>
                    {% for exp in others.patronage %}
                        <div class="experience">
                            <div class="experience-title">
                                <div class="dates">{{ exp.dates.start | date:"M-Y" }} - {% if exp.dates.end %}{{ exp.dates.end | date:"M-Y" }} {% else %}actuel{% endif %}</div>
                                <div class="company"><a href="{{ exp.url }}">{{ exp.name }}</a></div>
                            </div>

                            <div class="tasks">
                                Tâches:
                                <ul> 
                                    {% for task in exp.tasks %}
                                        <li class="task">{{ task }}</li>
                                    {% endfor %}
                                </ul>
                            </div>
                            <div class="referants">
                                Référants:
                                <ul>
                                    {% for ref in exp.referants %}
                                        <li>{{ ref.name }} ({{ ref.contact }})</li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    {% endfor %}
                </div>
    
                <hr class="hr-75" />

                <div class="cv-sector studies">
                    <div class="sector-title"><i class="fa-solid fa-graduation-cap"></i> Formation & études</div>
                    {% for formation in formations %}
                        <div class="formation">
                            <div class="formation-title">
                                <div class="dates">{{ formation.dates.start | date:"M-Y" }} - {% if formation.dates.end %}{{ formation.dates.end | date:"M-Y" }} {% else %}actuel{% endif %}</div>
                                <div class="school">{{ formation.school }}</div>
                            </div>
                            <div class="licence">{{ formation.licence }}</div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
</div>